> For the complete documentation index, see [llms.txt](https://docs.tricloudnexus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tricloudnexus.io/edge/nexus-modules/data-connector-modules/modbusmodule/direct-commands/write.md).

# Write

The Modbus module supports writes. In order to do a single write operation, a separate direct method is available.

The tag id that is refered to needs to point to a modbus tag, that has write access enabled. It is not necessary to specify the slave id, since it is given implicit in the tag configuration.

**Method Name:**\
Write

**Payload:**

```
{
  "measurement": {
       "id": "tagId",
       "startTimestamp": "<timestamp>",
       "type": "Analog",
       "value": "<value>"
   },
   "verifyWrite": false
}
```

If verifyWrite is set, then the value write will be confirmed by a following read, to ensure that the write has been executed successfully.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tricloudnexus.io/edge/nexus-modules/data-connector-modules/modbusmodule/direct-commands/write.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
